#import <misckit/misckit.h>

@interface MiscString(DExtensions)
- collapseOctalQuotedDigits;
- collapseBackslashQuotedChars;
- collapseHTMLQuotedChars;
- expandBackslashQuotedChars;
- expandUnprintableCharsToOctalQuotedDigits;
- trimLeadChars:(const char*)chars;
- trimTrailChars:(const char*)chars respectQuotationBy:(unsigned int) qc;
- trimTrailChars:(const char*)chars;
- trimChars:(const char*)chars;
-(BOOL) streq:(char*)thestr;
-(BOOL) casestreq:(char*)thestr;

- tokenize:(const char *)breakChars into:theList fieldsQuotatedBy:(char) theChar;

- streamPuts:(NXStream *) stream;


- extractBracketsContentWithPrefix:(const char *) thePrefix
				positionInsideLeft:(int*) insidePos	// has to be passed initialized
					 positionRight:(int*) rightPos	// will be set
					   leftBracket:(unsigned int) lc
					  rightBracket:(unsigned int) rc
					 deleteContent:(BOOL) doDel;

-(int) spotOfChar:(int)c startingAt:(int)currPos;
-(BOOL) isWhite;

@end
